### File

`packages/components/externals/charts/model/apex-types.ts`

### Description

Options for the line drawn on line and area charts. See https://apexcharts.com/docs/options/stroke/

### Index

###### Properties
Optional colors Optional curve Optional dashArray Optional fill Optional lineCap Optional show Optional width

### Properties

colors
`colors: `any[]``
Type : `any[]`
Optional

curve
`curve: `"smooth" | "straight" | "stepline" | "monotoneCubic" | ("smooth" | "straight" | "stepline" | "monotoneCubic")[]``
Type : `"smooth" | "straight" | "stepline" | "monotoneCubic" | ("smooth" | "straight" | "stepline" | "monotoneCubic")[]`
Optional

dashArray
`dashArray: `number | number[]``
Type : `number | number[]`
Optional

fill
`fill: `ApexFill``
Type : `ApexFill`
Optional

lineCap
`lineCap: `"butt" | "square" | "round"``
Type : `"butt" | "square" | "round"`
Optional

show
`show: `boolean``
Type : `boolean`
Optional

width
`width: `number | number[]``
Type : `number | number[]`
Optional

# results matching ""

# No results matching ""